
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET 2.0移动开发之属性重写和模板化 / iVAN</title>

    <meta name="description" content="ASP.NET 2.0移动开发之属性重写和模板化 asp.net|模板 本文将重点讲解如何为特定的硬件设备自定义ASP.NET Web移动程序,以及使用模板自定义Form和Panel等控件.通过属性重写这个特性,使ASP.NET Web移动程序可以根据移动设备的硬件功能,为特定的硬件指定其控件的属性值.例如,应用程序可能需要一个Label控件在一些设备上显示较长的文本,而在另一些设备上显示较简短的文本.这就需要我们为每个控件都提供一组属性,应用程序可以针对各个设备重写这些属性.所有的ASP.NET移动控件都具有默认的外观和布局.对于ASP.NE">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET 2.0移动开发之属性重写和模板化</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>asp.net|模板</p>
<p>　　本文将重点讲解如何为特定的硬件设备自定义ASP.NET Web移动程序，以及使用模板自定义Form和Panel等控件。通过属性重写这个特性，使ASP.NET Web移动程序可以根据移动设备的硬件功能，为特定的硬件指定其控件的属性值。例如，应用程序可能需要一个Label控件在一些设备上显示较长的文本，而在另一些设备上显示较简短的文本。这就需要我们为每个控件都提供一组属性，应用程序可以针对各个设备重写这些属性。所有的ASP.NET移动控件都具有默认的外观和布局。对于ASP.NET移动控件，你可通过设置属性或使用样式来改变移动控件的默认外观。你还可以使用模板自定义某些移动控件的外观。本章还将重点介绍模板和模板集，以及它们的使用方法。</p>
<p>　　<b>自定义的方式</b></p>
<p>　　在前面的几个专题中，我们提过如何使用设备筛选器为特定设备进行自定义。除此之外，我们还可以使用模板化技术和属性重写功能使你可以自定义你的应用程序，以便对特定的设备类型以不同的方式呈现控件。如果你在.aspx页面中为一个控件使用上述的任何一种自定义方法，都可以使用一个名为DeviceSpecific/Choice构造的移动控件语法。DeviceSpecific/Choice构造通常是为特定于设备的选项模板集以及控件内在多个备选内容之间指定一个选项。例如，下面的代码是一个Label控件的声明语法，在这个声明中包含了一个用来鉴别当前浏览器是否支持HTML的DeviceSpecific/Choice构造。</p>
<p>＜mobile:Label id="Label1" runat="server" Text="Default text"＞<br />＜DeviceSpecific＞<br />＜Choice Filter="isHTML32" Text="Text for selected devices" ＞＜/Choice＞<br />＜/DeviceSpecific＞<br />＜/mobile:Label＞<br />　　其中Filter属性指定了一个设备筛选器，该设备筛选器其名称为isHTML32，它用来鉴别一个移动设备是否内置了HTML浏览器。如果内置了HTML浏览器的话，将会在Label控件上应用"Text for selected device"这段文本。相反的，就不作任何的显示。正如上述的代码所示，在＜DeviceSpecific＞＜/DeviceSpecific＞内通常包含一个或多个＜Choice＞元素，每个元素都包含指定如何根据目标设备功能计算选项的属性。运行时依次计算每个选项，并使用成功计算出的第一个选项(这和C#里的switch case语句非常相似)。</p>
<p>　　在开始学习如何定义一个设备筛选器前，先让我们先了解一些基本的概念，例如属性重写和模板化的具体含义。</p>
<p>　　<b>属性重写</b></p>
<p>　　一般情况下，我们开发的ASP.NET Web移动程序并不是针对某个具体的设备，而是可以根据移动设备硬件特性的不同，通过适应性的调整从而可以在几乎所有的硬件设备上进行良好的呈现。</p>
<p>　　但是因为品牌和型号的不同，这些移动设备间就不可避免地存在一些差异。例如支持的颜色、屏幕大小、输入功能以及浏览器使用的标记语言等。前面提到过，ASP.NET控件是可以被几乎所有的硬件设备支持的，因为它们本身就具有适应性调整的功能，而且控件设置的属性值也会伴随ASP.NET控件应用到具体的应用程序中，并不会因为硬件设备的不同使属性值不同。但是，在某些情况下你可能舍弃默认的呈现，采用自定义的呈现方式。一个典型的例子就是字符的显示，例如我们使用Label控件进行字符串的显示，在一些屏幕较小的设备上，每一行显示的字符数也是较少的，因此我们可以为该控件的Text属性设置为"我们使用ASP.NET"，而针对一些大屏幕的设备，我们可以将Label控件的Text属性设置为"我们使用ASP.NET构建一个功能完善的移动应用程序"，正是因为属性重写功能，我们才可以使用上述的方法来构建一个针对不同移动设备的硬件特性做出最好呈现的ASP.NET Web移动应用程序。</p>
<p>　　<b>模板</b></p>
<p>　　Form、Panel、List和ObjectList等移动控件都是模板化的控件。开发人员通常使用模板来改变或丰富应用程序的外观或内容。例如，如果为Form控件指定并选择了页眉或页脚模板，则该模板中包含的标记将被添加到窗体内容中，分别作为页眉或页脚进行呈现。请注意模板不同于样式，模板定义要显示的内容和控件。当应用程序呈现模板附加到的控件时，即会呈现模板。而样式指定内容和控件的外观，您的应用程序可在不使用模板的情况下使用样式，它也可在模板内将样式应用于您定义的移动控件。 除了模板外，ASP.NET移动控件在此基础上还扩展了一个新的模型，并引入了模板集的概念。模板集是由模板组成的集合。但是，单个模板化控件可能引用多个模板集，而每个模板集都具有不同的特定于设备的条件。模板集的具体实现将在后续章节具体介绍。</p>
<p>　　<b>设备筛选器详解</b></p>
<p>　　使用设备筛选器，应用程序可为特定硬件设备或设备类别自定义控件的外观。该自定义基于用来浏览应用程序的硬件设备的功能。 例如，假设开发人员正在开发主要用于支持位图 (.bmp) 图像的特定品牌手持式设备的应用程序。在此设备上，开发人员决定同时用来自.bmp文件的文本和图标显示List控件中的所有项。通过使用设备筛选器，应用程序可检测到它是否正在目标手持式设备上被用户浏览。这会导致应用程序使用同时用文本和图标显示列表项的设备特定的模板。此技术可为特定硬件设备自定义应用程序。进一步扩充此示例，假设您还希望可在显示.gif图像的任意类型设备上浏览该应用程序。您的应用程序可应用检测程序何时在此类设备上使用的设备筛选器。在该情况下，该程序指定使用文本和列表项图标的 .gif 图像(而不是.bmp图像)显示列表项的模板。这就为一类设备自定义了应用程序。</p>
<p>　　设备筛选器可完成的一些其他任务包括：</p>
<p>　　■ 根据设备类型选择样式。</p>
<p>　　■ 在支持使用更为丰富的表现形式呈现控件的设备上，我们可以尽量利用该硬件设备的 性能，使用一些更加细致的、具体的呈现方式。</p>
<p>　　■ 在显示功能受限制的设备上，使用更为简单的表现形式呈现控件。</p>
<p>　　在DeviceSpecific/Choice构造中的＜Choice＞元素依赖于移动设备的功能。当你使用某移动设备请求一个ASP.NET移动页面时，首先就会将包含该移动设备型号和内置浏览器等信息通过HTTP文件头传送到服务器端，这时服务器就会根据HTTP文件头传送的这些信息构建一个System.Web.Mobile.MobileCapabilities对象，以此来响应客户端请求。而设备筛选器就是利用MobileCapabilities对象的一些只读属性进行工作的。一个典型的例子就是设备筛选器如何鉴别那些支持HTML 3.2标记语言的浏览器，实现这种鉴别就是检测和客户请求相关的MobileCapabilities对象的PreferredRenderingType属性值是否为"html32"，是的话就是支持HTML 3.2标记语言的浏览器。</p>
<p>　　注意，MobileCapabilities对象的各个属性是和浏览页面的移动设备戚戚相关的。例如，当使用Pocket Internet Explorer浏览器请求页面时，MobileCapabilities对象的Browser属性将被设置为"Pocket IE"， PreferredRenderingType属性值设置为"html32"，而ScreenPixelsWidth 和ScreenPixelsHeight属性取决于移动设备的具体型号，因为Pocket PC、Smartphone和Windows CE .NET都可以使用Pocket Internet Explorer浏览器，但是这些设备屏幕的分辨率是不同的。</p>
<p>　　因为不同移动设备使用的浏览器是不同的，因此相应的MobileCapabilities对象各个属性也存在差异。如果你要查看特定浏览器的MobileCapabilities对象，你可以在C:\WINDOWS\Microsoft.NET\Framework\[版本号]\CONFIG\Browsers目录下，查看openwave、Pocket Internet Explorer、palm和nokia等众多浏览器的信息。下面是openwave浏览器对应文件的一段代码片断，在使用该浏览器请求页面时，这些信息就会通过HTTP文件头传送到服务器端，并构建具有类似属性值的MobileCapabilities对象。</p>
<p>＜capabilities＞<br />＜capability name="browser" value="Phone.com" /＞<br />＜capability name="canInitiateVoiceCall" value="true" /＞<br />＜capability name="canSendMail" value="false" /＞<br />＜capability name="deviceID" value="${deviceID}" /＞<br />＜capability name="deviceVersion" value="${deviceVersion}" /＞<br />＜capability name="inputType" value="telephoneKeypad" /＞<br />＜capability name="isMobileDevice" value="true" /＞<br />＜capability name="majorVersion" value="${browserMajorVersion}" /＞<br />＜capability name="maximumRenderedPageSize" value="1492" /＞<br />＜capability name="minorVersion" value="${browserMinorVersion}" /＞<br />＜capability name="numberOfSoftkeys" value="2" /＞<br />＜capability name="optimumPageWeight" value="700" /＞<br />＜capability name="preferredImageMime" value="image/vnd.wap.wbmp" /＞<br />＜capability name="preferredRenderingMime" value="text/vnd.wap.wml" /＞<br />＜capability name="preferredRenderingType" value="wml11" /＞<br />＜capability name="requiresAdaptiveErrorReporting" value="true" /＞<br />＜capability name="rendersBreakBeforeWmlSelectAndInput" value="true" /＞<br />＜capability name="rendersWmlDoAcceptsInline" value="false" /＞<br />＜capability name="rendersWmlSelectsAsMenuCards" value="true" /＞<br />＜capability name="requiresFullyQualifiedRedirectUrl" value="true" /＞<br />＜capability name="requiresNoescapedPostUrl" value="true" /＞<br />＜capability name="requiresPostRedirectionHandling" value="true" /＞<br />＜capability name="supportsRedirectWithCookie" value="false" /＞<br />＜capability name="type" <br />value="Phone.com${browserMajorVersion}" /＞<br />＜capability name="version" <br />value="${browserMajorVersion}${browserMinorVersion}" /＞<br />＜/capabilities＞<br />　　当然，你还可以通过代码的方式将请求页面的浏览器信息通过MobileCapabilities对象显示页面上，代码如下：</p>
<p>＜%@ Page Inherits="System.Web.UI.MobileControls.MobilePage" <br />Language="c#" %＞<br />＜script language="c#" runat="server"＞<br />public void Page_Load(Object sender, EventArgs e)<br />{<br />　System.Web.Mobile.MobileCapabilities currentCapabilities;<br />　MobileCapabilities currentCapabilities = (MobileCapabilities)Request.Browser;<br />　// 创建一个MobileCapabilities对象来获取浏览器的信息</p>
<p>　if(currentCapabilities.PreferredRenderingMIME=="text/html")<br />　{<br />　　Label2.Text = "你使用的是支持HTML的移动设备";<br />　　//如果是支持HTML的移动设备的话，显示上面的文本信息<br />　}<br />　else if(currentCapabilities.PreferredRenderingMIME == "text/vnd.wap.wml")<br />　{<br />　　Label2.Text = "你使用的是支持WML的移动设备";<br />　　//如果是支持WML的移动设备的话，显示上面的文本信息<br />　}<br />　Label1.Text = "屏幕的宽度(字符数): " + currentCapabilities.ScreenCharactersWidth;<br />　//显示当前移动设备每一行可以显示的字符数<br />}<br />＜/script＞<br />　＜Mobile:Form runat="server" id=frmTemplate ＞<br />　　＜mobile:label ID="Label1" runat="server" /＞<br />　　＜mobile:label ID="Label2" runat="server" /＞<br />　＜/Mobile:Form＞<br />　　提示：在某些情况下，某特定移动设备的MobileCapabilities对象获得的属性值并不是你期望的值。例如，我们经常在开发过程中直接使用桌面的IE来测试程序，你也许会认为PreferredRenderingType属性值为"html40"，而实际上这个值为"html32"，这是因为ASP.NET移动控件只支持HTML 3.2，所以发送到桌面IE的标记语言依然是HTML 3.2。</p>
<p>　　<b>MobileCapabilities的属性</b></p>
<p>　　MobileCapabilities类包含了大量的属性，我们可以使用这些属性来获取移动设备及其浏览器 的相关信息。关于该类的具体细节你可以查看MSDN，在这里我们只列举出一些常用的属性：</p>
<table>
<tr>
<td>属性</td>
<td>说明</td>
</tr>
<tr>
<td>Browser</td>
<td>浏览器的类型。例如Pocket IE、Microsoft Mobile Explorer、 i-mode、Nokia、Openwave和Ericsson等。</td>
</tr>
<tr>
<td>CanInitiateVoiceCall</td>
<td>当该设备的浏览器可以启动语音呼叫时返回true值</td>
</tr>
<tr>
<td>CanSendMail</td>
<td>如果该设备的浏览器支持邮件的发送，就返回true值</td>
</tr>
<tr>
<td>HasBackButton</td>
<td>如果该浏览器有一个专用的"上一步"按钮的话，则返回true值</td>
</tr>
<tr>
<td>InputType</td>
<td>返回浏览器支持的输入类型，包括virtualKeyboard、telephoneKeypad和keyboard等值</td>
</tr>
<tr>
<td>IsColor</td>
<td>该设备是否支持颜色显示，是的话返回true值。</td>
</tr>
<tr>
<td>MaximumSoftkeyLabelLength</td>
<td>返回软键标签可显示的文本的最大字符数</td>
</tr>
<tr>
<td>MobileDeviceManufacturer</td>
<td>返回移动设备制造商的名称，如果为未知的话返回的是unknown</td>
</tr>
<tr>
<td>MobileDeviceModel</td>
<td>获取移动设备的型号名(如果已知)</td>
</tr>
<tr>
<td>NumberOfSoftkeys </td>
<td>返回移动设备上软键的数目。</td>
</tr>
<tr>
<td>PreferredImageMime</td>
<td>返回浏览器通常首选的图像内容类型的MIME类型。这些值包括image/gif、image/jpeg、image/vnd.wap.wbmp和image/bmp</td>
</tr>
<tr>
<td>PreferredRenderingMime</td>
<td>返回浏览器通常首选的内容类型的MIME类型。这些值包括text/html和text/vnd.wap.wml</td>
</tr>
<tr>
<td>PreferredRenderingType</td>
<td>返回一个指出该浏览器使用的标记语言及版本信息的字符串，这些字符串通常为html32、wml11、wml12或者chtml10</td>
</tr>
<tr>
<td>ScreenBitDepth</td>
<td>返回屏幕的显示深度(以每像素位数为单位)</td>
</tr>
<tr>
<td>ScreenCharactersHeight</td>
<td>返回显示的近似高度(以字符行为单位)</td>
</tr>
<tr>
<td>ScreenCharactersWidth</td>
<td>返回显示的近似宽度(以字符为单位)</td>
</tr>
<tr>
<td>ScreenPixelsHeight</td>
<td>返回显示的近似高度(以像素为单位)</td>
</tr>
<tr>
<td>ScreenPixelsWidth</td>
<td>返回显示的近似宽度(以像素为单位)</td>
</tr>
<tr>
<td>SupportsIModeSymbols</td>
<td>获取一个值，该值指示浏览器是否支持i-mode符号。</td>
</tr>
<tr>
<td>SupportsJPhoneSymbols</td>
<td>获取一个值，该值指示浏览器是否支持J-Phone特定的图片符号。</td>
</tr>
</table>
<p>　　我们可以使用HttpRequest对象的Browser属性指向MobileCapabilities对象的实例，然后可以使用此实例来读取请求浏览器和设备的功能。下面是测试MobileCapabilities对象的某个属性的代码片断：</p>
<p>MobileCapabilities capabilities = (MobileCapabilities)Request.Browser;<br />if (capabilities.ScreenPixelsWidth ＞ 120)<br />{<br />　// 为大屏幕的移动设备添加的代码<br />}<br />else<br />{<br />　//为小屏幕的移动设备添加的代码<br />}<br />　　在下一节中，将介绍如何在ASP.NET移动站点程序中定义一个设备筛选器，以及设备筛选器的两种不同类型的具体实现。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 09:26:55</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e6%9d%bf/" title="模板">模板</a>, <a href="https://www.iamivan.net/tag/%e8%ae%be%e5%a4%87/" title="设备">设备</a>, <a href="https://www.iamivan.net/tag/%e7%a7%bb%e5%8a%a8/" title="移动">移动</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/%e7%ad%9b%e9%80%89%e5%99%a8/" title="筛选器">筛选器</a>, <a href="https://www.iamivan.net/tag/deviceid/" title="deviceid">deviceid</a>, <a href="https://www.iamivan.net/tag/%e7%a7%bb%e5%8a%a8%e8%ae%be%e5%a4%87/" title="移动设备">移动设备</a>, <a href="https://www.iamivan.net/tag/virtualkeyboard/" title="VirtualKeyboard">VirtualKeyboard</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET 2.0移动开发之属性重写和模板化的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyaelM.html" rel="bookmark">ASP&period;NET 2&period;0移动开发之设备筛选器的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net 在前面的文章中我曾经介绍过DeviceSpecific/Choice构造和设备筛选器,那时我们还是在ASP.NET 移动页面的HTML视图下或站点程序的Web.Config文件中通过手动编码来定义设备筛选器和DeviceSpecific/Choice构造.但是,如果你使用的是Visual Studio 2005的话,我们可以直接采用一种便捷的.可视化的方式去定义DeviceSpecific/Choice构造和设备筛选器,避免了在程序中采用手动编码这样繁杂的实现过程,而且因为开发人			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBAwOz.html" rel="bookmark">ASP&period;NET 2&period;0移动开发之列表控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|控件 概述 在很多情况下,我们都会使用到列表控件来方便用户选择一些选项.例如在某网站上注册新用户时,通常会询问你的性别是&quot;男&quot;还是&quot;女&quot;,这时我们用单项按钮以供用户做出相应的选择.还有当你填写自己的家庭地址时,通常会使用到一个包含各省省名的下拉列表来供用户直接选择,这样可以减少用户的输入量.上述的这些单项按钮和下拉列表都在ASP.NET移动程序中都是以列表控件的形式存在的.我们可以使用列表控件来呈现各种形式(单项.多选.下拉列表)的列表,以供用户选择			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2L7Zp.html" rel="bookmark">ASP&period;NET 2&period;0服务器控件开发之简单属性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|服务器|控件|控件开发 在前面的系列文章中,笔者已经列举了几个实现自定义服务器控件的示例.通过这些示例,读者初步接触了有关创建服务器控件属性的内容.例如,使用私有变量.视图状态.控件状态等实现属性等等.虽然读者通过这些内容可以了解实现属性的一些基本知识,但是这还是不够的.从本节开始,将针对实现自定义服务器控件属性的问题展开讲解.本节重点介绍实现自定义服务器控件属性的一些基本概念和简单属性的基本实现方法等内容. 1. 控件属性基本概念 本小节介绍有关创建服务器控件属性的基本内容,具			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMym8JM.html" rel="bookmark">ASP&period;NET 2&period;0服务器控件开发的基本概念</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				利用ASP.NET 2.0技术,创建Web自定义服务器控件并不是一件轻松的事情.因为,这需要开发人员了解并能够灵活应用多种Web开发技术,例如,CSS样式表.客户端脚本语言..NET开发语言.服务器控件开发技术,甚至是当前最火的AJAX技术等等.虽然现实如此&quot;艰难&quot;,但是这种开发技术也不是真的难到不可掌握.事事都要从头做起.本文将针对利用asp.net 2.0技术,创建Web自定义服务器控件的基础知识进行详细介绍,内容包括:服务器控件概念.控件类型.生命周期等. ASP.NET 2.0			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzD97Bb.html" rel="bookmark">ASP&period;NET 2&period;0移动开发入门之基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net 随着硬件的飞速发展,移动设备也如同计算机设备一样呈现出具有更好的性能.更快的处理速度和更便宜的趋势.尤其是即将到来的3G技术,将使得移动设备突破现在的带宽限制,这样我们就可以构建出许多新颖且功能强大的移动应用.现在已经有许多商业应用都开始向移动设备上进行迁移,所以对开发者来说,现在就开始移动开发的学习将是一种非常适合的时机. 当然我不可能在这例用简短的篇幅里探讨所有的用ASP.NET 2.0开发移动应用的详细过程.这篇文章将介绍一些基础的知识,这样使得你对用ASP.NET 2.0			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJE16p.html" rel="bookmark">ASP&period;NET 2&period;0服务器控件开发之控件样式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|服务器|控件|控件开发 随着.NET技术的不断发展和成熟,服务器控件越来越受到广大开发人员的喜爱.同时,服务器控件的发展也呈现出一些趋势,例如,功能越来越强大,很多功能逐渐从服务器端转移到客户端.另外,服务器控件也越来越美观.这可能与Windows操作系统越来越讲求功能与外观统一的发展思路有关.本文及其随后的几篇文章将重点介绍如何为服务器控件实现漂亮的外观.实际上,服务器控件的外观主要由样式属性决定.本文重点对实现控件样式的基本知识进行概括性讲解. 服务器控件样式简介 对于普通应			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Xpmw05b.html" rel="bookmark">ASP&period;NET 2&period;0服务器控件开发之基本概念篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|服务器|概念|控件|控件开发     利用ASP.NET 2.0技术,创建Web自定义服务器控件并不是一件轻松的事情.因为,这需要开发人员了解并能够灵活应用多种Web开发技术,例如,CSS样式表.客户端脚本语言..NET开发语言.服务器控件开发技术,甚至是当前最火的AJAX技术等等.虽然现实如此&quot;艰难&quot;,但是这种开发技术也不是真的难到不可掌握.事事都要从头做起.本文将针对利用ASP.NET 2.0技术,创建Web自定义服务器控件的基础知识进行详细介绍,内容包括:服务器控			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLygRb.html" rel="bookmark">用VS2005实现ASP&period;NET 2&period;0移动开发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				即将到来的3G技术,将使得移动设备突破现在的带宽限制,这样我们就可以 构建出许多新颖且功能强大的移动应用.现在已经有许多商业应用都开始向移动 设备上进行迁移,所以对开发者来说,现在就开始移动开发的学习将是一种非常 适合的时机. 在本文中我将介绍如何使用Visual Studio 2005创建一个ASP.NET 2.0移动程 序,然后介绍一些常用的移动开发控件并以适合的方式在程序中加于应用,最后 将谈谈如何开发针对特定移动设备的WEB程序和管理程序中的ViewState(视图状 态)和Sessio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1D74rb.html" rel="bookmark">跪求ASP&period;NET 2&period;0数据库开发实例精粹！！！！！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 小弟因为要做一个网站,继续找到&lt;ASP.NET2.0数据库开发实例精粹&gt;这本书,哪位如果有的话,就发给小弟一下,不胜感激.邮箱:19900808zm@163.com 解决方案 解决方案二:这里是java			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKe7pN.html" rel="bookmark" class="title">一个很简单的验证码程序</a>
					<div>
						程序|验证码 原程序http://vifo.vicp.net:8088/datalib/ShowTopic.asp?id=108:10:1:1 主程序共三个 我的调用方式 &lt;script lan ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr7DOp.html" rel="bookmark" class="title">win7系统发生蓝屏提示错误代码0x0000116怎么办？</a>
					<div>
						win7系统发生蓝屏提示错误代码0x0000116怎么办? 1.遇到蓝屏故障,通过蓝屏可以得到很多有用的讯息,先看stop后面的代码,这里显示为0x0000116; 2.使用蓝屏查询工具,输入116代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz454Nb.html" rel="bookmark" class="title">ASP中汉字与UTF-8的互相转换</a>
					<div>
						汉字|转换 =============汉字转换为UTF-8================== function chinese2unicode(Str)         for i=1 to len ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR7lYz.html" rel="bookmark" class="title">在CentOS上安装Percona服务器的方法</a>
					<div>
						  在这篇文章中我们将了解关于 Percona 服务器,一个开源的MySQL,MariaDB的替代品.InnoDB的数据库引擎使得Percona 服务器非常有吸引力,如果你需要的高性能,高可靠性和高性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAN8aM.html" rel="bookmark" class="title">关于下载弹出下载页面后，操作完之后怎么刷新当前页面的问题</a>
					<div>
						问题描述 关于下载弹出下载页面后,操作完之后怎么刷新当前页面的问题 Response.AddHeader(&quot;Content-Disposition&quot;, &quot;attachme ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6Eqwb.html" rel="bookmark" class="title">zigbee cc2530-ZigBee主端如何控制路由的io端口</a>
					<div>
						问题描述 ZigBee主端如何控制路由的io端口 ZigBee主端如何控制路由的io端口,求例子-945848636@qq.com这是我的邮箱,谢谢 解决方案 ZigBee应该控制不了,应该要SNMP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/zDedVBb.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny80ODYwODQvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/zDedVBb.html" rel="bookmark" class="title">可穿戴设备数据共享是软肋</a>
					<div>
						随着可穿戴设备逐步在科技产业升温,可穿戴外设正成为当下创业的热点方向.腾讯科技对话栏目Connector特邀戈壁资本合伙人蒋涛.美国MisfitCEO Sonny Vu,针对可穿戴设备产品.设计与制造 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94PBVb.html" rel="bookmark" class="title">&period;gitignore详解（附上eclipse的java项目的 &period;gitignore文件）</a>
					<div>
						今天讲讲Git中非常重要的一个文件――.gitignore. 首先要强调一点,这个文件的完整文件名就是&quot;.gitignore&quot;,注意最前面有个&quot;.&quot;.这样没有扩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYw3Gp.html" rel="bookmark" class="title">iOS开发- 以图搜图功能实现 &lpar;源码&plus;解析&rpar;</a>
					<div>
						以图搜图这个功能相当实用, 之前在实现这个功能的时候, 有一些笔记, 今天就整合成博文, 分享给大家. 这个demo主要实现的功能包括: 自定义拍照界面 图像识别 以图搜图 信息获取(通过识别出的图像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRyeVb.html" rel="bookmark" class="title">互联网正处于可怕泡沫的中心</a>
					<div>
						(记者张黎明) 美国科技博客TechCrunch的创始人迈克尔·阿灵顿昨日撰文警示互联网行业的泡沫,文章名为&quot;我们正处于可怕泡沫的中心&quot;.他表示,在美国的部分私有科技创业公司出现了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeKQ5b.html" rel="bookmark" class="title">消费终端管理也能用SIM卡实现</a>
					<div>
						美国消费泡沫破了,被过度吸收的35%产能全部压在了制造商身上,特别是以外源性经济为主体的华南消费企业更是寒意刺骨.抢夺新的外销市场?保优质客户等待回暖?创新求变化?还是创立品牌优势角逐内销市场?每个企 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKY8Vb.html" rel="bookmark" class="title">【hibernate框架】一对多&lpar;多对一&rpar;双向CRUD-Fetch2</a>
					<div>
						继续对Fetch注解进行测试 User.java: package cn.edu.hpu.one2many; import javax.persistence.CascadeType; import  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmB24lz.html" rel="bookmark" class="title">深入理解javascript中concat方法&lowbar;javascript技巧</a>
					<div>
						最近在恶补js知识的时候,总是会因为js强大的语法而感到震撼.因为以前对前端方面的疏忽,导致了一些理解的错误.因此痛改前非,下定决心,不管做什么事情,都要有专研的精神. 在介绍前,抛出一个问题:如何将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqXZ1b.html" rel="bookmark" class="title">Android中 webView调用JS出错的解决办法&lowbar;Android</a>
					<div>
						问题     webView调用JS出错. 复制代码 代码如下:     class TestJS {         ......         public TestJS(){          ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xlE5b.html" rel="bookmark" class="title">LBS签到模式出路在哪里？转型O2O有戏吗？</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 之前的报道&lt;LBS突围:从微信到微博&gt;,讨论了微信和微博对奄奄一息的LBS的冲击.LBS过去两年经历了冰火两重天的考验,2010年起,在Fo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLkEqM.html" rel="bookmark" class="title">Stonebraker讲述数据库五点关键</a>
					<div>
						Michael Stonebraker是数据库领域的先贤.他的专业造诣精深,也曾经帮助开发了一部分最流行的数据库系统,比如Postgres,Ingres和Vertica.他最近的一项研究是VoltDB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Jea7z.html" rel="bookmark" class="title">手游是国产手机应用商店软肋&quest;</a>
					<div>
						随着国产手机厂商对自主应用商店重视加强,伴随手机出货量迅速增长,国内应用分发市场正发生重大变化. &lt;2014上半年中国手机应用商店市场研究报告&gt;显示,手机厂商应用商店用户普及率占比已达44 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NBG3p.html" rel="bookmark" class="title">JS运动框架之分享侧边栏动画实例&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JS运动框架之分享侧边栏动画实现方法.分享给大家供大家参考.具体实现方法如下: 复制代码 代码如下: &lt;!DOCTYPE html&gt;  &lt;html&gt;      & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY5yab.html" rel="bookmark" class="title">php运行时动态创建函数的方法&lowbar;php技巧</a>
					<div>
						本文实例讲述了php运行时动态创建函数的方法.分享给大家供大家参考.具体分析如下: 一般的语言函数必须定义了在运行,而php支持在运行时动态创建函数,下面是一个简单的范例,在运动时根据不同的条件创建函 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOV87b.html" rel="bookmark" class="title">详细分析Javascript中创建对象的四种方式&lowbar;javascript技巧</a>
					<div>
						前言 使用Javascript创建对象的方式有很多,现在就来列举一下其中的四种方式,并且罗列出了每种方式的优缺点,可以让大家进行选择使用,下面来看看. 工厂模式 function createPers ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6em2M.html" rel="bookmark" class="title">Java Calendar类的时间操作&lowbar;java</a>
					<div>
						Java Calendar 类时间操作,这也许是创建日历和管理最简单的一个方案,示范代码很简单,演示了获取时间,日期时间的累加和累减,以及比较. 注意事项: Calendar 的 month 从 0  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NyBjz.html" rel="bookmark" class="title">在线等，boss追命，各位大侠帮忙！</a>
					<div>
						问题描述 简化说下问题:VC.net2005环境,建立一个基于HTML对话框的程序.程序中添加2个html页面,html页面一中包含一个文本输入框,id=text1:一个按钮id=button1:ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW6Akz.html" rel="bookmark" class="title">c语言&percnt;x在不同函数中是一样的吗</a>
					<div>
						问题描述 c语言%x在不同函数中是一样的吗 scanf函数和printf函数中的%x都是无符号十六进制整数还是不一样的? 解决方案 在不同编译器上,表示的长度可能是不同的,对于相同的编译器,就是相同的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW4YvM.html" rel="bookmark" class="title">传华谊兄弟拟收购手游开发商广州银汉 收购仿0亿元</a>
					<div>
						北京时间7朿日消息,国内影视公司龙头企业华谊兄弟仿朿日开始停牌至今已有近一个月时间,业内消息指出此次停牌的原因是收购手游公司广州银汉,收购价可能在20亿元左右〿/p&gt; 消息称,华谊兄弟绿月份减持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5OQN7b.html" rel="bookmark" class="title">兰亭集势第一季度未经审计财报</a>
					<div>
						财报发布后,兰亭集势管理层将于美国东部时间5月21日早8点(北京时间5月21日晚8点)召开电话会议,解读财报要点,回答分析师提问. 收听电话会议的号码如下: 美国:1-866-519-4004 国际: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3EADmp.html" rel="bookmark" class="title">贵州最大网络赌博案被告最高被判六年</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 贵州贵阳市小河区人民法院近日对涉案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVXjYkM.html" rel="bookmark" class="title">chart x轴全部显示&comma;x轴Label垂直显示</a>
					<div>
						问题描述 chart1.Series[&quot;營業額&quot;].XValueMember=&quot;銷售別&quot;;chart1.Series[&quot;營業額&quot;].YVal ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqO3kaz.html" rel="bookmark" class="title">分析称中国移动将给苹果带来700亿美元营收</a>
					<div>
						导语:美国投资网站The Motley Fool周二发表文章称,对于苹果而言,中国才是机会之地,而不是美国.要想在 中国市场成功,苹果还需要与中国移动合作,这是一场不可避免的交易. 以下为文章内容摘要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVXeBnM.html" rel="bookmark" class="title">中国移动正式启用10086&period;cn作为集团官网新域名</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 昨天(7日)记者了解到,中国移动正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqD85Zb.html" rel="bookmark" class="title">海正药业980万美元参股境外医药公司赛金控股</a>
					<div>
						浙江海正药业http://www.aliyun.com/zixun/aggregation/7494.html&quot;&gt;股份有限公司发布公告,第四届董事会第二十五次会议通过投资参股赛金控股有 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
